Package org.apache.lucene.util

# Class IntBlockPool.DirectAllocator

java.lang.Object
org.apache.lucene.util.IntBlockPool.Allocator
org.apache.lucene.util.IntBlockPool.DirectAllocator

Enclosing class:
  `IntBlockPool`

public static final class IntBlockPool.DirectAllocator extends IntBlockPool.Allocator
A simple `IntBlockPool.Allocator` that never recycles.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.util.IntBlockPool.Allocator

  `blockSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectAllocator()`
  Creates a new `IntBlockPool.DirectAllocator` with a default block size

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `recycleIntBlocks(int[][] blocks, int start, int end)`

  ### Methods inherited from class org.apache.lucene.util.IntBlockPool.Allocator

  `getIntBlock`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DirectAllocator

    public DirectAllocator()
    Creates a new `IntBlockPool.DirectAllocator` with a default block size

- ## Method Details

  - ### recycleIntBlocks

    public void recycleIntBlocks(int[][] blocks, int start, int end)
    Specified by:
      `recycleIntBlocks` in class `IntBlockPool.Allocator`